* {
    padding: 0px;
    margin: 0px;

}
*:focus {
    outline: none;
}

body {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: row-reverse;
    flex-wrap: wrap;

    width: 100vw;
    min-height: 100vh;
    height: auto;

    background-image: url(../img/background.png);
    background-size: cover;
    background-repeat: no-repeat;
}

@font-face {
    font-family: MontSerratL;
    src: url(../fonts/Montserrat-Light.otf);
}
@font-face {
    font-family: MontSerratR;
    src: url(../fonts/Montserrat-Regular.otf);
}

.img {
    padding: 20px;
}

.box-show-do-milhao {
    width: 30vw;
    height: 70vh;

    padding: 3vw;

    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
}

.questao-show-do-milhao {
    height: auto;
    width: 100%;

    margin: 5px;
    padding: 20px;

    background-color: white;
    border: 2px solid #1E381C;
    border-radius: 15px;
    
    font-size: 1.1rem;
    font-family: MontSerratR;
    font-weight: bold;

    color: #1E381C;
}

.resposta-show-do-milhao {
    height: 10%;
    width: 100%;

    margin: 2.5%;
    padding: 5px;

    background-color: white;
    border: 2px solid #1E381C;
    border-radius: 15px;

    font-size: 1.0rem;
    font-family: MontSerratR;
    font-weight: bold;

    color: #1E381C;
}


.box {
    width: 30vw;
    height: auto;
    min-height: 100px;
    padding: 3vw;

    border-radius: 35px;
    background-color: rgba( 255, 255, 255, 1);
    border: 2px solid transparent;

    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
}

.box h2 {
    font-family: MontSerratR;
    text-align: center;
    color: #1E381C;
}

.box input[type=submit]{
    width: auto;
    height: auto;

    padding: 5px 15px 5px 15px;

    border-radius: 25px;
    border: 2px solid #1E381C;
    font-size: 30px;

    font-family: MontSerratR;

    background-color: white;

    box-shadow: #1E381C 0px 0px 10px;
}

.box input[type=submit]:hover {
    transition: 0.4s ease-in-out;
    transform: scale(1.1);
}

.box input[type=submit]:active {
    color: white;
    background-color: #1E381C;

    border: 2px solid #1E381C;
    box-shadow: #1E381C 0px 0px 10px;

    transition: 0.2s ease-in-out;
}

.box nobr {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.box video {
    margin: 10px 0px 10px 0px;
    border: 3px solid #1E381C;
}

a:link {
  text-decoration: none;
}

a:visited {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

a:active {
  text-decoration: none;
}

.inputs {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;

    width: 100%;
    height: 60%;

    text-align: center;
}

.inputs input {
    height: 30px;
    width: 80%;

    margin: 10px;
    padding: 2px;

    border: none;
    border-bottom: 2px solid #1E381C;
    background-color: transparent;

    color: #1E381C;
    font-size: 20px;
    font-family: MontSerratL;
}

.inputs input::placeholder {

    font-size: 20px;
    font-family: MontSerratL;

    color: #1E381C;
}

.inputs select {
    height: 30px;
    width: 80%;

    margin: 10px;
    padding: 2px;

    border: none;
    border-bottom: 2px solid #1E381C;
    background-color: transparent;

    color: #1E381C;
    font-size: 20px;
    font-family: MontSerratL;
}

.inputs nobr {
    height: 55px;
    width: 100%;
}

.button-download{
    display: flex;
    justify-content: space-around;
    align-items: center;

    margin: 10px;
    padding: 0px 10px 0px 10px;

    height: 60px;
    width: auto;

    font-family: MontSerratR;
    font-size: 16px;

    border-width: 2px;
    border-style: solid;
    border-radius: 30px 30px 30px 30px;
    border-color: #1E381C;
    background-color: transparent;
    box-shadow: 0px 0px 10px #1E381C;

    transition: 0.3s ease-in-out;
}

.button-download:hover {
    transform: scale(1.1);

    transition: 0.3s ease-in-out;
}

.button-download:active {
    background-color: #1E381C;
}

.button-download img{
    margin: 5px;
}

.button-download span{
    margin: 5px;

    color: #1E381C;;
}

.button-download:active span{
    color: rgb(212, 212, 212);
}

.question-div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    width: 100%;
}

.question-div h2 {
    font-family: MontSerratR;
    text-align: left;
    color: #1E381C;


    font-size: clamp(15px, 40% ,25px);
}

.question-div h3 {
    font-family: MontSerratR;
    text-align: left;
    color: #1E381C;


    font-size: clamp(15px, 40% ,25px);
}

.question-div input {
    width: 85%;
    height: 35px;

    padding: 1px;
    margin: 5px;

    font-size: 20px;
}

.question-div input[type="number"] {
    width: 50px;
    height: auto;

    padding: 1px;
    margin: 5px;

    font-size: 20px;
}

.question-box {
    width: 85%;
    height: 35px;

    padding: 1px;
    margin: 5px;

    font-size: 20px;
}

.Sign-Canvas {
    border: 2px solid gray;
}

.Sign-Button {
    border: 2px solid grey;
    border-radius: 10px;

    width: 40%;
    height: 15%;
}

.botao_contrato {
    width: 60%;
}

.botao_contrato:hover {
    content: url('../img/Contrato_hover.png');
}

.botao_contrato:active {
    content: url('../img/Contrato_active.png');
}

.botao_assinatura {
    width: 60%;
}

.botao_assinatura:hover {
    content: url('../img/Assinar_hover.png');
}

.botao_assinatura:active {
    content: url('../img/Assinar_active.png');
}

@media screen and (min-width: 1000px) {
    
    .img {
        position: absolute;
        top: 40vh;
        right: 15vw;
    }

}

@media screen and (min-width: 601px) and (max-width: 999px) {

    .img {
        position: absolute;
        top: 40vh;
        right: 5vw;
    }

    .box h2 {
        font-size: 20px;
        padding: 10px;
    }

    .box input[type='submit']{
        margin: 10px;
        width: 150px;
    }
    
}

@media screen and (max-width: 600px) {

    body {
        flex-direction: column;
        flex-wrap: nowrap;
    }

    .box {
        width: 80vw;

        min-height: 70vh;
        height: auto;
    }

    .box h2 {
        font-size: 18px;
        padding: 10px;
    }

    .box input[type='submit']{
        margin: 10px;
        width: 150px;
    }

    .questao-show-do-milhao{
        width: 80vw;
    }

}
